Class | WSDL::Binding
In: | wsdl/binding.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace

### Attributes

name | [R] |
operations | [R] |
soapbinding | [R] |
type | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/binding.rb, line 22
      def initialize
        super
        @name = nil
        @type = nil
        @operations = XSD::NamedElements.new
        @soapbinding = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/binding.rb, line 52
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        when TypeAttrName
          @type = value
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/binding.rb, line 34
      def parse_element(element)
        case element
        when OperationName
          o = OperationBinding.new
          @operations << o
          o
        when SOAPBindingName
          o = WSDL::SOAP::Binding.new
          @soapbinding = o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

targetnamespace()

[Source]

    # File wsdl/binding.rb, line 30
      def targetnamespace
        parent.targetnamespace
      end

[Validate]